Can't install mandatory update
The update is only supported by iOS 10 +. If that's you but you still can't download the update, then uninstall Feeld from your phone and then reinstall it from the App Store.

Connections don't sync
Please log out and back in by going to Settings -> App settings -> Log out. If this doesn't work, you can also try reinstalling the app and restarting your device. Another option is to open your Connections page and leave your phone untouched for ten minutes.

Membership isn't recognised
Please contact Support to help you with this issue.

Navigation is challenging
We are working on fixing this.

Messaging bug
Please reinstall the app.

The updated app is out! If you spot any new bugs or issues, don't hesitate to contact our Support Team for help.